Loading...
Searching...
No Matches
tp_name_t Struct Reference

Transport name. More...

`#include <tport.h>`

## Data Fields

char const * | tpn_proto
| Protocol name ("udp", "tcp", etc.).
char const * | tpn_canon
| Node DNS name (if known).
char const * | tpn_host
| Node address in textual format.
char const * | tpn_port
| Port number in textual format.
char const * | tpn_comp
| Compression algorithm (NULL if none).
char const * | tpn_ident
| Transport identifier (NULL if none).

## Detailed Description

Transport name.

This structure represents the address of the transport in textual format. For primary transports, the transport name contains the local address, for secondary transports, the peer address.

The tpn_ident specifies the transport identifier used to make difference between connectivity domains.

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.